%global momorel 1
%global pythonver 2.6.1-1m

%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

# This macro is used for the continuous automated builds. It just
# allows an extra fragment based on the timestamp to be appended
# to the release. This distinguishes automated builds, from formal
# Fedora RPM builds
%define _extra_release %{?dist:%{dist}}%{!?dist:%{?extra_release:%{extra_release}}}

%define appname virtinst

%define with_egg 1

Summary: Python modules and utilities for installing virtual machines
Name: python-%{appname}
Version: 0.400.3
Release: %{momorel}m%{?dist}
Source0: http://virt-manager.org/download/sources/%{appname}/%{appname}-%{version}.tar.gz
NoSource: 0
Patch1: %{appname}-%{version}-fix-virtimage-scratch.patch
Patch2: %{appname}-%{version}-hostdev-libvirt-calls.patch
Patch3: %{appname}-%{version}-spanish-trans.patch
Patch4: %{appname}-%{version}-selinux-context.patch
# Rawhide/F11 can auto detect keymapping (bz 487735)
Patch5: %{appname}-%{version}-no-default-keymap.patch
# Fix generating device name for floppy device (bz 493408)
Patch6: %{appname}-%{version}-fix-floppy-dev.patch
# F11 Translations (bz 493944 and bz 494358)
Patch7: %{appname}-%{version}-updated-trans.patch
# Only throw warnings if we fail to relabel install media (bz 496340)
Patch8: %{appname}-%{version}-selinux-warn.patch
# Fix PCI assignment detach/reset calls (bz 499267)
Patch9: %{appname}-%{version}-fix-pci-assign.patch
# Momonganize
Patch100: virtinst-0.400.3-momonga.patch
License: GPLv2+
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Url: http://virt-manager.org/
Provides: virt-install
Provides: virt-clone
Provides: virt-image
Provides: virt-pack
Provides: virt-convert
Requires: libvirt-python >= 0.4.5
Requires: urlgrabber
Requires: libxml2-python
Requires: python-urlgrabber
Requires: libselinux-python
BuildRequires: gettext
BuildRequires: python-devel

%description
virtinst is a module that helps build and install libvirt based virtual
machines. Currently supports KVM, QEmu and Xen virtual machines. Package
includes several command line utilities, including virt-install (build
and install new VMs) and virt-clone (clone an existing virtual machine).

%prep
%setup -q -n %{appname}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch100 -p1 -b .momonga

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install -O1 --root=$RPM_BUILD_ROOT
# Back compat in case people hardcoded old /usr/sbin/virt-install location
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
ln -s ../bin/virt-install $RPM_BUILD_ROOT/%{_sbindir}/virt-install

%find_lang %{appname} || echo 0

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{appname}.lang
%defattr(-,root,root)
%doc README COPYING AUTHORS ChangeLog NEWS doc/image.rng doc/example1.xml
%dir %{python_sitelib}/%{appname}
%dir %{python_sitelib}/virtconv
%{python_sitelib}/%{appname}/*
%{python_sitelib}/virtconv/*
%if %{with_egg}
%{python_sitelib}/%{appname}-*.egg-info
%endif
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%{_sbindir}/virt-install
%{_bindir}/virt-install
%{_bindir}/virt-clone
%{_bindir}/virt-image
%{_bindir}/virt-convert

%changelog
* Fri Jun  5 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.400.3-1m)
- sync with Fedora 11 (0.400.3-8.fc11)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.300.3-3m)
- rebuild against rpm-4.6

* Wed Dec 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.300.3-2m)
- rebuild agaisst python-2.6.1-1m

* Sat Jun 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.300.3-1m)
- update to 0.300.3

* Wed Apr 30 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.300.2-4m)
- restrict python ver-rel for egginfo

* Sat Apr 26 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.300.2-3m)
- add *.egg-info to %%files section 

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.300.2-2m)
- rebuild against gcc43

* Fri Feb  1 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.300.2-1m)
- update 0.300.2

* Thu Jan 31 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.300.1-1m)
- update 0.300.1

* Tue Sep 11 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.300.0-1m)
- update 0.300.0

* Sun Sep  9 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.200.0-1m)
- update 0.200.0

* Tue Jun 26 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.103.0-2m)
- add Patch5 virtinst-0.103.0-momonga.patch (for Momonga iso install)

* Sun Jun 10 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.103.0-1m)
- sync Fedora

* Wed Feb  7 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.96.0-3m)
- rebuild against python-2.5-9m

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.96.0-2m)
- rebuild against python-2.5

* Mon Nov 06 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.96.0-1m)
- import Momonga for xen
- add Requires: python-urlgrabber

* Wed Oct 18 2006 Jeremy Katz <katzj@redhat.com> - 0.96.0-1
- improve check for if a machine is hvm capable to catch when support isn't
  allowed by the bios (#211276)
- cleanup after nfs mount failure on pv install (#206196)
- support for setting vcpus (#210516)

* Thu Oct 12 2006 Jeremy Katz <katzj@redhat.com> - 0.95.0-1
- support for blktap (danpb)
- name change

* Tue Oct  3 2006 Jeremy Katz <katzj@redhat.com> - 0.94.0-1
- Fix using block device as backing (#209138)
- Fix error handling for invalid install locations (danpb)
- Write out vcpu config (danpb)

* Wed Sep 20 2006 Jeremy Katz <katzj@redhat.com> - 0.93.0-1
- Fix hvm network xm config (danpb)
- Enable PAE with pae hvm hosts (danpb)
- Fix hvm block backed cds (danpb)
- Fix handling of block devs backed by vbds (danpb)
- Ensure we're on a xen kernel (#205889)
- Default to vncunused

* Wed Sep  6 2006 Jeremy Katz <katzj@redhat.com> - 0.92.0-2
- add patch to fix memory parsing in interactive mode
- fix deps

* Wed Aug 30 2006 Jeremy Katz <katzj@redhat.com> - 0.92.0-1
- Fix silly loop when asking about graphics support (misa)
- Fix passing macaddr
- Add support so that we reboot into the guest after installation finishes 

* Tue Aug 29 2006 Jeremy Katz <katzj@redhat.com> - 0.91.0-1
- add support for paravirt guests with framebuffer. 

* Mon Aug 21 2006 Jeremy Katz <katzj@redhat.com> - 0.90.1-1
- fix tab/space whitespace inconsistency

* Wed Aug 16 2006 Jeremy Katz <katzj@redhat.com> - 0.90.0-2
- set ExcludeArch so that it doesn't get pulled into all trees

* Wed Aug 16 2006 Jeremy Katz <katzj@redhat.com> - 0.90.0-1
- update to version with fixed HVM domain creation

* Wed Aug 16 2006 Jeremy Katz <katzj@redhat.com> - 0.9-2
- add some missing requires

* Tue Aug 15 2006 Jeremy Katz <katzj@redhat.com> - 0.9-1
- Initial build

